# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.policy.CredentialPolicy

Packages that use CredentialPolicy
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.policy.impl
This package has authentication policy implementations.

## Uses of CredentialPolicy in net.shibboleth.idp.plugin.authn.webauthn.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.impl declared as CredentialPolicy
Modifier and Type
Field
Description
`private CredentialPolicy`
CheckCredentialPolicy.`credentialPolicy`
The credential policy to check.
`private CredentialPolicy`
FilterCredentialsOnPolicy.`credentialPolicy`
The credential policy to check.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl with parameters of type CredentialPolicy
Modifier and Type
Method
Description
`void`
CheckCredentialPolicy.`setCredentialPolicy(CredentialPolicy policy)`
Set the policy to verify that the credential can be used for authentication.
`void`
FilterCredentialsOnPolicy.`setCredentialPolicy(CredentialPolicy policy)`
Set the policy to verify that the credential can be used for authentication.

## Uses of CredentialPolicy in net.shibboleth.idp.plugin.authn.webauthn.policy.impl

Classes in net.shibboleth.idp.plugin.authn.webauthn.policy.impl that implement CredentialPolicy
Modifier and Type
Class
Description
`class`
`AbstractCredentialPolicyRule`
A base class for `credential policies`.
`class`
`ChainingCredentialPolicyRule`
A `CredentialPolicy` implementation that verifies an authentication credential is acceptable based on a chain of configured rules.
`class`
`FunctionalCredentialPolicyRule`
A `CredentialPolicy` that evaluates a `BiFunction` to determine if a credential should be accepted or rejected.
`class`
`SecondFactorOnlyCredentialPolicyRule`
A `CredentialPolicy` that rejects credentials used in sole-factor mode if created by authenticators which should only be used for second factor authentication.
Fields in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type parameters of type CredentialPolicy
Modifier and Type
Field
Description
`private List<CredentialPolicy>`
ChainingCredentialPolicyRule.`credentialPolicyChain`
An ordered chain of authentication credentials policies.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type arguments of type CredentialPolicy
Modifier and Type
Method
Description
`void`
ChainingCredentialPolicyRule.`setCredentialPolicyChain(List<CredentialPolicy> chain)`
Set the chain of policies that should be applied to the authentication credential.